device_suspend
Prev | Device Drivers Power Management | Next

## Name

device_suspend — Save state and stop all devices in system.

## Synopsis

`int device_suspend (` | pm_message_t | state`)`;

## Arguments

`state`

  -- undescribed --

## Description

Prevent new devices from being registered, then lock all devices and suspend them.

Prev | Up | Next
device_power_down | Home | Device Drivers ACPI Support